Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface ExternalModuleDependency

    org.gradle.api.artifacts.ExternalModuleDependency
      org.gradle.api.artifacts.ExternalDependency
          org.gradle.api.artifacts.Dependency
              org.gradle.api.artifacts.ModuleDependency

All Superinterfaces:
  Dependency, ExternalDependency, ModuleDependency

    interface ExternalModuleDependency
    extends ExternalDependency

A `ModuleDependency` is a Dependency on a module outside the current project hierarchy.

author:
  Hans Dockter

Method Summary
`ExternalModuleDependency` | `copy()` {
`boolean` | `isChanging()` Returns whether or nor Gradle should always check for a change in the remote repository.
`ExternalModuleDependency` | `setChanging(boolean changing)` Sets whether or nor Gradle should always check for a change in the remote repository.

Methods inherited from interface ExternalDependency
copy, isForce, setForce

Methods inherited from interface ModuleDependency
addArtifact, copy, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Method Detail

### copy

    public ExternalModuleDependency copy()

  {@inheritDoc}

### isChanging

    public boolean isChanging()

  Returns whether or nor Gradle should always check for a change in the remote repository.
  see:
    #setChanging(boolean)

### setChanging

    public ExternalModuleDependency setChanging(boolean changing)

  Sets whether or nor Gradle should always check for a change in the remote repository. If set to true, Gradle will check the remote repository even if a dependency with the same version is already in the local cache. Defaults to false.
  param:
    changing Whether or nor Gradle should always check for a change in the remote repository
  return:
    this

Groovy Documentation